<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Pages extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{

/*
<a href="/lang/turkish">Türkçe</a>
*/		
		redirect("/");
	}

		public function detay($seo=NULL)
	{

/*
<a href="/lang/turkish">Türkçe</a>
*/	

$data["sayfa"]=$sonuc=$this->db->where("seo",$seo)->select(Genel::site_dili()."_baslik AS baslik, ".genel::site_dili()."_icerik AS icerik")->get("pages")->row();;
if(count($sonuc)==0){
redirect("/");	
}

	//	$this->lang->load('information',$this->session->userdata('site_lang'));
		$this->load->view('sayfa',isset($data) ? $data : NULL);
	}
}
